import { renderless as renderless$1, api as api$1 } from "@xmweb-ui/vue-renderless/tree/vue";
import { directive, h, setup as _setup, defineComponent, props } from "@xmweb-ui/vue-common";
import { iconChevronRight, iconLoading, iconArrowBottom, iconEdit, iconMinusSquare, iconPlusSquare, iconWarning, iconMarkOn } from "@xmweb-ui/vue-icon";
import Switch from "@xmweb-ui/vue-switch";
import Popover from "@xmweb-ui/vue-popover";
import Button from "@xmweb-ui/vue-button";
import Checkbox from "@xmweb-ui/vue-checkbox";
import Clickoutside from "@xmweb-ui/vue-renderless/common/deps/clickoutside";
import { renderless, api } from "@xmweb-ui/vue-renderless/tree-node/vue";
import CollapseTransition from "@xmweb-ui/vue-collapse-transition";
import Radio from "@xmweb-ui/vue-radio";
import Input from "@xmweb-ui/vue-input";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script$1 = {
  name: "TreeNode",
  componentName: "TreeNode",
  directives: directive({
    Clickoutside
  }),
  inject: ["TreeRoot"],
  provide: function provide() {
    return {
      parentTree: this
    };
  },
  emits: ["update:modelValue", "hook-updated", "node-expand", "radio-change", "tree-node-expand", "closeMenu"],
  props: {
    node: {
      default: function _default() {
        return {};
      }
    },
    props: {},
    expandIcon: Object,
    shrinkIcon: Object,
    expandIconColor: String,
    shrinkIconColor: String,
    renderContent: Function,
    renderAfterExpand: {
      type: Boolean,
      default: true
    },
    showCheckbox: {
      type: Boolean,
      default: false
    },
    showRadio: {
      type: Boolean,
      default: false
    },
    currentRadio: {
      type: Object,
      default: function _default2() {
        return {
          value: null
        };
      }
    },
    showNumber: {
      type: Boolean,
      default: false
    },
    collapsible: {
      type: Boolean,
      default: true
    },
    nodeHeight: Number,
    checkEasily: {
      type: Boolean,
      default: false
    },
    action: Object,
    nodeKey: String,
    theme: String,
    showLine: Boolean
  },
  components: {
    CollapseTransition,
    Checkbox,
    XmRadio: Radio,
    XmInput: Input,
    IconChevronRight: iconChevronRight(),
    IconLoading: iconLoading(),
    IconArrowBottom: iconArrowBottom(),
    IconEdit: iconEdit(),
    IconMinusSquare: iconMinusSquare(),
    IconPlusSquare: iconPlusSquare(),
    MenuContext: {
      props: {
        node: {
          required: true
        }
      },
      render: function render() {
        var tree = this.$parent.state.tree;
        var data = this.node.data;
        return tree && tree.scopedSlots && tree.scopedSlots.contextmenu && tree.scopedSlots.contextmenu({
          data,
          node: this.node
        });
      }
    },
    NodeContent: {
      props: {
        node: {
          required: true
        },
        renderContent: Function
      },
      inject: ["TreeRoot", "parentTree"],
      render: function render2() {
        var parent = this.$parent;
        var tree = parent.state.tree;
        var node = this.node;
        var data = node.data, store = node.store;
        return this.renderContent ? this.renderContent(h, {
          _self: this,
          node,
          data,
          store
        }) : tree.scopedSlots.default && tree.scopedSlots.default({
          node,
          data
        }) || h("span", {
          class: "xm-tree-node__label"
        }, node.label);
      }
    }
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      mono: true
    });
  }
};
var render$1 = function render$12() {
  var _class;
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "xm-tree-node__wrapper"
  }, [_c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.node.visible,
      expression: "node.visible"
    }],
    ref: "node",
    staticClass: "xm-tree-node",
    class: (_class = {
      "is-indeterminate": !_vm.node.disabled && _vm.node.indeterminate,
      "is-current": _vm.node.isCurrent,
      "is-hidden": !_vm.node.visible,
      "is-checked": !_vm.node.disabled && _vm.node.checked
    }, _class["is-indeterminate"] = !_vm.node.disabled && _vm.node.indeterminate, _class["is-focusable"] = !_vm.node.disabled, _class["is-expanded"] = _vm.state.expanded, _class["is-checked"] = !_vm.node.disabled && _vm.node.checked, _class["is-loading"] = _vm.node.loading, _class["show-line"] = _vm.showLine, _class),
    attrs: {
      "role": "treeitem",
      "tabindex": "-1",
      "aria-expanded": _vm.state.expanded,
      "aria-disabled": _vm.node.disabled,
      "aria-checked": _vm.node.checked,
      "draggable": _vm.state.tree.draggable
    },
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.handleClick.apply(null, arguments);
      },
      "contextmenu": function contextmenu($event) {
        $event.stopPropagation();
        return function($event2) {
          return _vm.handleContextMenu($event2);
        }.apply(null, arguments);
      },
      "dragstart": function dragstart($event) {
        $event.stopPropagation();
        return _vm.handleDragStart.apply(null, arguments);
      },
      "dragover": function dragover($event) {
        $event.stopPropagation();
        return _vm.handleDragOver.apply(null, arguments);
      },
      "dragend": function dragend($event) {
        $event.stopPropagation();
        return _vm.handleDragEnd.apply(null, arguments);
      },
      "drop": function drop($event) {
        $event.stopPropagation();
        return _vm.handleDrop.apply(null, arguments);
      }
    }
  }, [_c("div", {
    class: {
      "xm-tree-node__content": true,
      "xm-tree-node__content-number": _vm.showNumber
    },
    style: {
      "margin-left": _vm.state.computedIndent,
      "height": _vm.nodeHeight ? _vm.nodeHeight + "px" : void 0,
      "line-height": _vm.nodeHeight ? _vm.nodeHeight + "px" : void 0
    },
    on: {
      "click": function click($event) {
        return _vm.handleContentClick(_vm.node, _vm.currentRadio);
      }
    }
  }, [_vm.showLine ? _c("span", {
    staticClass: "xm-tree-node__content-indent",
    style: {
      width: _vm.state.computedIndent
    }
  }) : _vm._e(), _c("div", {
    staticClass: "xm-tree-node__content-left"
  }, [_vm.showNumber ? [_c("span", {
    staticClass: "tree-node-number"
  }, [_vm._v(_vm._s(_vm.node.data.number))])] : [_c("span", {
    staticClass: "tree-node-icon",
    on: {
      "click": function click($event) {
        return _vm.handleExpandIconClick($event, _vm.node);
      }
    }
  }, [_vm.state.expandIcon !== void 0 && _vm.state.shrinkIcon !== void 0 ? [_c(_vm.state.expanded ? _vm.state.shrinkIcon : _vm.state.expandIcon, {
    tag: "component",
    class: ["xm-tree-node__expand-icon", {
      "is-leaf": _vm.node.isLeaf
    }],
    attrs: {
      "fill": _vm.state.expanded ? _vm.state.shrinkIconColor : _vm.state.expandIconColor
    }
  })] : [_c(_vm.state.computedExpandIcon, {
    tag: "component",
    class: ["xm-tree-node__expand-icon", {
      "is-leaf": _vm.node.isLeaf,
      expanded: !_vm.node.isLeaf && _vm.state.expanded,
      "is-saas-theme": _vm.state.isSaaSTheme
    }]
  })]], 2)], _vm.showCheckbox ? _c("checkbox", {
    ref: "checkbox",
    attrs: {
      "modelValue": _vm.node.checked,
      "indeterminate": _vm.node.indeterminate,
      "disabled": !!_vm.node.disabled,
      "validate-event": false
    },
    on: {
      "change": _vm.handleCheckChange
    }
  }) : _vm._e(), _vm.showRadio ? _c("xm-radio", {
    attrs: {
      "model-value": _vm.currentRadio.value,
      "validate-event": false,
      "label": _vm.node.id,
      "disabled": !!_vm.node.disabled
    },
    on: {
      "update:model-value": function updateModelValue($event) {
        return _vm.$emit("radio-change", $event);
      }
    }
  }) : _vm._e(), _vm.node.loading ? _c("svg", {
    staticClass: "xm-tree-node__loading xm-svg circular",
    attrs: {
      "viewBox": "25 25 50 50"
    }
  }, [_c("circle", {
    staticClass: "path",
    attrs: {
      "cx": "50",
      "cy": "50",
      "r": "24",
      "fill": "none"
    }
  })]) : _vm._e(), _vm._t("prefix", null, {
    "node": _vm.node
  }), _vm.action.type === "edit" && _vm.action.node && _vm.action.node === _vm.node ? [_c("xm-input", {
    ref: "editInput",
    attrs: {
      "autofocus": "",
      "clearable": ""
    },
    on: {
      "keyup": function keyup($event) {
        if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "enter", 13, $event.key, "Enter"))
          return null;
        return _vm.saveEdit($event);
      },
      "blur": function blur($event) {
        return _vm.saveEdit($event);
      },
      "click": function click($event) {
        $event.stopPropagation();
        return function($event2) {
          return $event2.stopPropagation();
        }.apply(null, arguments);
      }
    },
    model: {
      value: _vm.action.label,
      callback: function callback($$v) {
        _vm.$set(_vm.action, "label", $$v);
      },
      expression: "action.label"
    }
  })] : [_c("node-content", {
    attrs: {
      "node": _vm.node,
      "render-content": _vm.renderContent
    }
  })], _vm._t("suffix", null, {
    "node": _vm.node
  })], 2), _c("div", {
    staticClass: "xm-tree-node__content-right"
  }, [_vm._t("operation", null, {
    "node": _vm.node
  }), _vm.action.show ? [_c("span", {
    attrs: {
      "title": _vm.t("ui.base.edit")
    }
  }, [!_vm.action.deleteDisabled.includes(_vm.node.data[_vm.nodeKey]) ? _c("icon-edit", {
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.openEdit(_vm.node);
      }
    }
  }) : _vm._e()], 1), _c("span", {
    attrs: {
      "title": _vm.t("ui.base.delete")
    }
  }, [!_vm.action.editDisabled.includes(_vm.node.data[_vm.nodeKey]) ? _c("icon-minus-square", {
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.deleteNode($event, _vm.node);
      }
    }
  }) : _vm._e()], 1), _c("span", {
    attrs: {
      "title": _vm.t("ui.tree.newNodeTitle")
    }
  }, [!_vm.node.data._isNewNode && !_vm.action.addDisabled.includes(_vm.node.data[_vm.nodeKey]) ? _c("icon-plus-square", {
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.addNode(_vm.node);
      }
    }
  }) : _vm._e()], 1)] : _vm._e()], 2)]), _vm.node.childNodes.length ? [_c("collapse-transition", [!_vm.renderAfterExpand || _vm.state.childNodeRendered ? _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.expanded,
      expression: "state.expanded"
    }],
    staticClass: "xm-tree-node__children",
    style: {
      "margin-left": _vm.state.computedIndent
    },
    attrs: {
      "role": "group",
      "aria-expanded": _vm.state.expanded
    }
  }, [_vm.showLine ? _c("span", {
    staticClass: "xm-tree-node__children-indent",
    style: {
      width: _vm.state.computedIndent,
      left: "-" + _vm.state.computedIndent
    }
  }) : _vm._e(), _vm._l(_vm.node.childNodes, function(child) {
    return _c("tree-node", {
      key: _vm.getNodeKey(child),
      attrs: {
        "action": _vm.action,
        "show-radio": _vm.showRadio,
        "theme": _vm.theme,
        "current-radio": _vm.currentRadio,
        "render-content": _vm.renderContent,
        "expand-icon": _vm.state.expandIcon,
        "shrink-icon": _vm.state.shrinkIcon,
        "expand-icon-color": _vm.state.expandIconColor,
        "shrink-icon-color": _vm.state.shrinkIconColor,
        "render-after-expand": _vm.renderAfterExpand,
        "show-checkbox": _vm.showCheckbox,
        "show-number": _vm.showNumber,
        "node-height": _vm.nodeHeight,
        "node-key": _vm.nodeKey,
        "check-easily": _vm.checkEasily,
        "node": child,
        "show-line": _vm.showLine
      },
      on: {
        "node-expand": _vm.handleChildNodeExpand,
        "radio-change": function radioChange($event) {
          return _vm.$emit("radio-change", $event);
        }
      },
      scopedSlots: _vm._u([{
        key: "prefix",
        fn: function fn(slotScoped) {
          return [_vm._t("prefix", null, {
            "node": slotScoped.node
          })];
        }
      }, {
        key: "suffix",
        fn: function fn(slotScoped) {
          return [_vm._t("suffix", null, {
            "node": slotScoped.node
          })];
        }
      }, {
        key: "operation",
        fn: function fn(slotScoped) {
          return [_vm._t("operation", null, {
            "node": slotScoped.node
          })];
        }
      }], null, true)
    });
  })], 2) : _vm._e()])] : _vm._e()], 2), _vm.state.showMenu && _vm.TreeRoot.showContextmenu ? _c("div", {
    directives: [{
      name: "clickoutside",
      rawName: "v-clickoutside",
      value: _vm.closeMenu,
      expression: "closeMenu"
    }],
    ref: "menuContext",
    staticClass: "xm-tree-node__menu",
    style: _vm.state.menuposition,
    on: {
      "contextmenu": function contextmenu($event) {
        $event.stopPropagation();
      },
      "click": function click($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("menu-context", {
    attrs: {
      "node": _vm.node
    }
  })], 1) : _vm._e()]);
};
var staticRenderFns$1 = [];
var __cssModules$1 = {};
var __component__$1 = /* @__PURE__ */ normalizeComponent(__vue2_script$1, render$1, staticRenderFns$1, false, __vue2_injectStyles$1, null, null, null);
function __vue2_injectStyles$1(context) {
  for (var o in __cssModules$1) {
    this[o] = __cssModules$1[o];
  }
}
var TreeNode = /* @__PURE__ */ function() {
  return __component__$1.exports;
}();
var __vue2_script = defineComponent({
  directives: directive({
    Clickoutside
  }),
  props: [].concat(props, ["data", "dataset", "parentKey", "expandIcon", "shrinkIcon", "expandIconColor", "shrinkIconColor", "emptyText", "renderAfterExpand", "nodeKey", "checkStrictly", "defaultExpandAll", "expandOnClickNode", "checkOnClickNode", "checkDescendants", "autoExpandParent", "defaultCheckedKeys", "defaultExpandedKeys", "defaultExpandedKeysHighlight", "currentNodeKey", "renderContent", "showCheckbox", "draggable", "allowDrag", "allowDrop", "props", "lazy", "highlightCurrent", "load", "filterNodeMethod", "accordion", "indent", "icon", "iconTriggerClickNode", "showRadio", "showContextmenu", "showNumber", "collapsible", "nodeHeight", "showCheckEasily", "size", "deleteDisabledKeys", "editDisabledKeys", "addDisabledKeys", "theme", "viewType", "pathSplit", "filterPlainMethod", "afterLoad", "lazyCurrent", "baseIndent", "showLine"]),
  components: {
    TreeNode,
    IconWarning: iconWarning(),
    IconMarkOn: iconMarkOn(),
    XmPopover: Popover,
    XmCheckbox: Checkbox,
    XmButton: Button,
    XmSwitch: Switch
  },
  emits: ["node-expand", "node-drag-leave", "check-change", "check", "node-drag-over", "node-drag-enter", "node-drag-start", "node-drag-end", "node-drop", "current-change", "node-click", "leave-plain-view", "check-plain"],
  provide: function provide2() {
    return {
      parentTree: this,
      TreeRoot: this
    };
  },
  setup: function setup2(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless: renderless$1,
      api: api$1
    });
  }
});
var render3 = function render4() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "xm-tree",
    class: {
      "xm-tree--highlight-current": _vm.highlightCurrent,
      "is-dragging": !!_vm.state.dragState.draggingNode,
      "is-drop-not-allow": !_vm.state.dragState.allowDrop,
      "is-drop-inner": _vm.state.dragState.dropType === "inner",
      "xm-tree--small": _vm.size === "small"
    },
    attrs: {
      "role": "tree"
    }
  }, [_vm.viewType === "tree" ? _vm._l(_vm.state.root.childNodes, function(child) {
    return _c("tree-node", {
      key: _vm.getNodeKey(child),
      attrs: {
        "action": _vm.state.action,
        "show-radio": _vm.showRadio,
        "theme": _vm.theme,
        "show-number": _vm.showNumber,
        "collapsible": _vm.collapsible,
        "node-height": _vm.nodeHeight,
        "current-radio": _vm.state.currentRadio,
        "expand-icon": _vm.expandIcon,
        "shrink-icon": _vm.shrinkIcon,
        "expand-icon-color": _vm.expandIconColor,
        "shrink-icon-color": _vm.shrinkIconColor,
        "node": child,
        "props": _vm.props,
        "render-after-expand": _vm.renderAfterExpand,
        "show-checkbox": _vm.showCheckbox,
        "node-key": _vm.nodeKey,
        "render-content": _vm.renderContent,
        "check-easily": _vm.state.checkEasily,
        "show-line": _vm.showLine
      },
      on: {
        "radio-change": function radioChange($event) {
          _vm.state.currentRadio.value = $event;
        },
        "node-expand": _vm.handleNodeExpand
      },
      scopedSlots: _vm._u([{
        key: "prefix",
        fn: function fn(slotScoped) {
          return [_vm._t("prefix", null, {
            "node": slotScoped.node
          })];
        }
      }, {
        key: "suffix",
        fn: function fn(slotScoped) {
          return [_vm._t("suffix", null, {
            "node": slotScoped.node
          })];
        }
      }, {
        key: "operation",
        fn: function fn(slotScoped) {
          return [_vm._t("operation", null, {
            "node": slotScoped.node
          })];
        }
      }], null, true)
    });
  }) : _vm.viewType === "plain" ? _vm._l(_vm.state.plainNodeStore.filteredNodes, function(plainNode, i) {
    return _c("div", {
      key: plainNode.nodeKeyPath + "-" + i,
      staticClass: "xm-tree__plain-node"
    }, [_c("div", {
      staticClass: "xm-tree__plain-node-title"
    }, [_c("xm-checkbox", {
      attrs: {
        "modelValue": plainNode.node.checked,
        "indeterminate": plainNode.node.indeterminate,
        "disabled": !!plainNode.node.disabled
      },
      on: {
        "change": function change($event) {
          return _vm.handleCheckPlainNode($event, plainNode);
        }
      }
    }), _c("span", {
      staticClass: "xm-tree__plain-node-title-txt"
    }, [_vm._v(_vm._s(plainNode.title))]), _c("span", {
      staticClass: "xm-tree__plain-node-title-loc"
    }, [_c("icon-mark-on", {
      on: {
        "click": function click($event) {
          return _vm.handleClickPlainNode($event, plainNode);
        }
      }
    })], 1)], 1), plainNode.auxi ? _c("div", {
      staticClass: "xm-tree__plain-node-auxi"
    }, [_c("div", [_vm._v(_vm._s(plainNode.auxi))])]) : _vm._e()]);
  }) : _vm._e(), _vm.state.isEmpty ? _c("div", {
    staticClass: "xm-tree__empty-block"
  }, [_vm._t("empty", function() {
    return [_c("span", {
      staticClass: "xm-tree__empty-text"
    }, [_vm._v(_vm._s(_vm.state.showEmptyText))])];
  })], 2) : _vm._e(), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.dragState.showDropIndicator,
      expression: "state.dragState.showDropIndicator"
    }],
    ref: "dropIndicator",
    staticClass: "xm-tree__drop-indicator"
  }), _vm.state.store.checkStrictly && _vm.showCheckEasily ? _c("div", {
    staticClass: "xm-tree__strict-bottom"
  }, [_c("div", {
    staticClass: "xm-tree__strict-bottom-content"
  }, [_c("xm-switch", {
    attrs: {
      "mini": ""
    },
    on: {
      "change": _vm.switchToggle
    },
    model: {
      value: _vm.state.checkEasily,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "checkEasily", $$v);
      },
      expression: "state.checkEasily"
    }
  }), _c("div", {
    staticClass: "xm-tree__bottom-text"
  }, [_vm._t("switchText", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.t("ui.tree.switchText")))])];
  })], 2)], 1)]) : _vm._e(), _c("xm-popover", {
    ref: "deletePopover",
    attrs: {
      "popper-class": "xm-tree__del-popover",
      "placement": "top",
      "width": _vm.state.action.isLeaf ? 200 : 270,
      "trigger": "manual",
      "reference": _vm.state.action.referenceElm
    },
    model: {
      value: _vm.state.action.popoverVisible,
      callback: function callback($$v) {
        _vm.$set(_vm.state.action, "popoverVisible", $$v);
      },
      expression: "state.action.popoverVisible"
    }
  }, [_c("div", {
    directives: [{
      name: "clickoutside",
      rawName: "v-clickoutside",
      value: _vm.cancelDelete,
      expression: "cancelDelete"
    }],
    staticClass: "xm-tree__del-body"
  }, [_c("div", {
    staticClass: "xm-tree__del-icon"
  }, [_c("icon-warning")], 1), _c("div", {
    staticClass: "xm-tree__del-content"
  }, [_vm.state.action.isLeaf ? [_c("div", [_vm._v(_vm._s(_vm.t("ui.tree.deleteTip")))])] : [_c("div", [_vm._v(_vm._s(_vm.t("ui.tree.preserveSubnodeTip")))]), _c("div", {
    staticClass: "xm-tree__del-checkbox"
  }, [_c("xm-checkbox", {
    ref: "deleteCheckbox",
    model: {
      value: _vm.state.action.isSaveChildNode,
      callback: function callback($$v) {
        _vm.$set(_vm.state.action, "isSaveChildNode", $$v);
      },
      expression: "state.action.isSaveChildNode"
    }
  }, [_vm._v(_vm._s(_vm.t("ui.tree.preserveSubnodeData")))])], 1)]], 2)]), _c("div", {
    staticClass: "xm-tree__del-footer"
  }, [_c("xm-button", {
    on: {
      "click": _vm.cancelDelete
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.cancel")))]), _c("xm-button", {
    attrs: {
      "type": "primary"
    },
    on: {
      "click": _vm.deleteAction
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.confirm")))])], 1)])], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render3, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
